<!-- Page Header-->
<header class="page-header">
  <div class="container-fluid">
    <h2 class="no-margin-bottom">Categorias</h2>
  </div>
</header>

<!-- Breadcrumb-->
<div class="breadcrumb-holder container-fluid">
  <ul class="breadcrumb">
    <li class="breadcrumb-item">Cadastros</li>
    <li class="breadcrumb-item active">Categorias</li>
  </ul>
</div>

<!-- Grid Section -->
<section>
  <div class="container-fluid">

    <div class="row">
      <button type="button" pButton icon="fa-plus" style="float:left" (click)="add()" label="Add"></button>
    </div>

    <div class="row bg-white has-shadow">
      <p-dataTable [value]="categories" sortMode="multiple" [responsive]="true">
        <p-column styleClass="col-button">
          <ng-template pTemplate="header">
            <button type="button" pButton (click)="refreshCategories()" icon="fa-refresh"></button>
          </ng-template>
          <ng-template let-cat="rowData" pTemplate="body">
            <button type="button" pButton (click)="edit(cat)" icon="fa-edit"></button>
          </ng-template>
        </p-column>
        <p-column field="id" header="Id" [sortable]="true" [filter]="true" filterPlaceholder="Search"></p-column>
        <p-column field="name" header="Nome" [sortable]="true" [filter]="true" filterPlaceholder="Search"></p-column>
        <p-column field="active" header="Status" [sortable]="true" [filter]="true" filterPlaceholder="Search"></p-column>
      </p-dataTable>
    </div>
  </div>
</section>

<p-dialog header="Categoria" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true">
  <div class="ui-grid ui-grid-responsive ui-fluid">
    <div class="ui-grid-row">
      <p-messages [(value)]="msgs"></p-messages>
    </div>

    <div class="ui-grid-row">
      <div class="ui-grid-col-4">
        <label for="id">Id</label>
      </div>
      <div class="ui-grid-col-8">
        <input pInputText id="id" [ngModel]="category.id" readonly disabled />
      </div>
    </div>
    <div class="ui-grid-row">
      <div class="ui-grid-col-4">
        <label for="name">Nome</label>
      </div>
      <div class="ui-grid-col-8">
        <input pInputText id="name" [(ngModel)]="category.name" />
      </div>
    </div>
    <div class="ui-grid-row">
      <div class="ui-grid-col-4">
        <label for="description">Descrição</label>
      </div>
      <div class="ui-grid-col-8">
        <input pInputText id="description" [(ngModel)]="category.description" />
      </div>
    </div>
    <div class="ui-grid-row">
      <div class="ui-grid-col-4">
        <label for="active">Status</label>
      </div>
      <div class="ui-grid-col-8">
        <input pInputText id="active" [(ngModel)]="category.active" />
      </div>
    </div>
  </div>
  <p-footer>
    <div class="ui-dialog-buttonpane ui-helper-clearfix">
      <button type="button" pButton icon="fa-close" (click)="cancel()" label="Cancelar"></button>
      <button type="button" pButton icon="fa-check" (click)="save()" label="Salvar"></button>
      <button type="button" pButton icon="fa-times" (click)="delete()" label="Excluir" class="ui-button-danger"></button>
    </div>
  </p-footer>
</p-dialog>